Bug 2175809 - Session crash when reverting Display settings
Summary: Session crash when reverting Display settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F38FinalBlocker, FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2023-03-06 15:19 UTC by Alessio
Modified: 2023-03-19 00:39 UTC (History)
12 users (show)

Fixed In Version: mutter-44~rc-5.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-19 00:39:58 UTC
Type: Bug


Attachments (Terms of Use)
Snippet of journal reporting the core dump (62.28 KB, text/plain)
2023-03-06 15:19 UTC, Alessio
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME mutter merge_requests 2901 0 None opened Fix crash when clicking "restore" on monitor config 2023-03-10 16:47:43 UTC

Description Alessio 2023-03-06 15:19:42 UTC
Created attachment 1948404 [details]
Snippet of journal reporting the core dump

Description of problem:
In Settings -> Display, change one of the options (Resolution, Scale, etc.) then Apply. 
In the subsequent spoke, if you select "Revert Settings" the GNOME session crashes leading to the login screen.


Version-Release number of selected component (if applicable):

gnome-control-center-44~beta-2.fc38.x86_64

Comment 1 Kamil Páral 2023-03-06 15:42:58 UTC
I can confirm the crash, when I click Revert Settings. The same crash happens if you press Esc, but it doesn't crash when you let the dialog time out. I think this is a candidate for a blocker discussion, proposing.

Comment 2 František Zatloukal 2023-03-07 21:45:38 UTC
I guess this would be https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/2901 ?

Comment 3 Adam Williamson 2023-03-13 14:42:23 UTC
+6 in https://pagure.io/fedora-qa/blocker-review/issue/1077 , marking accepted.

Comment 4 Fedora Update System 2023-03-16 23:13:22 UTC
FEDORA-2023-6cec60a347 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6cec60a347

Comment 5 Kamil Páral 2023-03-17 11:39:05 UTC
(In reply to Fedora Update System from comment #4)
> FEDORA-2023-6cec60a347 has been submitted as an update to Fedora 38.
> https://bodhi.fedoraproject.org/updates/FEDORA-2023-6cec60a347

Fixed

Comment 6 Fedora Update System 2023-03-18 05:13:47 UTC
FEDORA-2023-6cec60a347 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6cec60a347

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-03-19 00:39:58 UTC
FEDORA-2023-6cec60a347 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.